{% extends 'frontBase.html.twig' %}

{% block title %}Créer votre compte{% endblock %}

{% block body %}
<div class="wrapper image-wrapper bg-image page-title-wrapper inverse-text" data-image-src="{{ asset('style/images/art/bg3.jpg') }}">
    <div class="container inner text-center">
        <div class="space90"></div>
        <h1 class="page-title">Créer votre compte</h1>
        <p class="lead">Aenean lacinia bibendum nulla sed consectetur</p>
    </div>
</div>

<div class="wrapper light-wrapper">
    <div class="container inner">
        <div class="row">
            <div class="col-md-6 offset-md-3">
                <div class="card">
                    <div class="card-header">
                        <h2 style="margin: 10px;" class="text-center">Inscription</h2>
                    </div>
                    <div class="card-body">
                        {% for flashError in app.flashes('verify_email_error') %}
                            <div class="alert alert-danger" role="alert">{{ flashError }}</div>
                        {% endfor %}

                        {{ form_start(registrationForm) }}
                        <div class="form-group">
                            {{ form_label(registrationForm.name, 'Nom/Raison sociale') }}
                            {{ form_widget(registrationForm.name, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.name) }}
                        </div>

                        <div class="form-group custom-control custom-checkbox">
                            {{ form_widget(registrationForm.isPro, {attr: {class: 'custom-control-input'}}) }}
                            {{ form_label(registrationForm.isPro, null, {label_attr: {class: 'custom-control-label'}}) }}
                        </div>

                        <div{% if not registrationForm.isPro.vars.data %} style="display: none;{% endif %} border-bottom: 1px solid #ddd;" class="for-pro form-group pb-40 mb-40">
                            {{ form_label(registrationForm.companies, 'Ajouter vos entreprises (max 3)') }}

                            <ul style="list-style: none" id="company-fields-list"
                                data-prototype="{{ form_widget(registrationForm.companies.vars.prototype)|e }}"
                                data-widget-tags="{{ '<li class="form-group card shadow p-4"></li>'|e }}"
                                data-widget-counter="{{ registrationForm.companies|length }}">
                                {% for companyField in registrationForm.companies %}
                                    <li class="form-group card shadow p-4">
                                        {{ form_errors(companyField) }}
                                        {{ form_widget(companyField) }}
                                    </li>
                                {% endfor %}
                            </ul>

                            <span style="cursor: pointer;" type="button"
                                    class="add-another-collection-widget badge badge-success"
                                    data-list-selector="#company-fields-list">+</span>
                            <span><span class="counter">{{ 3 - registrationForm.companies|length }}</span> restantes</span>
                        </div>

                        <div class="form-group">
                            {{ form_label(registrationForm.email) }}
                            {{ form_widget(registrationForm.email, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.email) }}
                        </div>

                        <div class="form-group">
                            {{ form_label(registrationForm.phone, 'Téléphone') }}
                            {{ form_widget(registrationForm.phone, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.phone) }}
                        </div>

                        <div class="form-group">
                            {{ form_label(registrationForm.address, 'Adresse') }}
                            {{ form_widget(registrationForm.address, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.address) }}
                        </div>

                        <div class="form-group">
                            {{ form_label(registrationForm.plainPassword.first) }}
                            {{ form_widget(registrationForm.plainPassword.first, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.plainPassword.first) }}
                        </div>

                        <div class="form-group">
                            {{ form_label(registrationForm.plainPassword.second) }}
                            {{ form_widget(registrationForm.plainPassword.second, {attr: {class: 'form-control'}}) }}
                            {{ form_errors(registrationForm.plainPassword.second) }}
                        </div>

                        <div class="form-group custom-control custom-checkbox">
                            {{ form_widget(registrationForm.agreeTerms, {attr: {class: 'custom-control-input'}}) }}
                            {{ form_label(registrationForm.agreeTerms, null, {label_attr: {class: 'custom-control-label'}}) }}
                            {{ form_errors(registrationForm.agreeTerms) }}
                        </div>

                        {{ form_widget(registrationForm._token) }}
                        <button type="submit" class="btn btn-primary">Créer votre compte</button>
                        {{ form_end(registrationForm, {'render_rest': false}) }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block javascripts %}
    <script>
        $('#registration_form_isPro').change(function () {
            if ($(this).is(':checked')) {
                $('.for-pro').show();
            } else {
                $('.for-pro').hide();
            }
        });

        $(function () {
            let max = 3;
            $('.add-another-collection-widget').click(function (e) {
                let list = $($(this).attr('data-list-selector'));
                let counter = list.data('widget-counter') || list.children().length;

                if (counter < max) {
                    let newWidget = list.attr('data-prototype');
                    newWidget = newWidget.replace(/__name__/g, counter);
                    counter++;
                    list.data('widget-counter', counter);

                    let newElem = $(list.attr('data-widget-tags')).html(newWidget);
                    newElem.appendTo(list);

                    $('.counter').html(max - counter)
                }
            });
        });
    </script>
{% endblock %}